EC_NODE_SH_LEX(3)

NAME
ec_node_sh_lex - Create a shell lexer node.

SYNOPSIS
#include <ecoli/node_sh_lex.h>

struct ec_node * ec_node_sh_lex(
    const char       *id,     /* The node identifier. */
    /*
     * The child node. It is consumed and will be freed when the parent is
     * freed, or immediately on error.
     */
    struct ec_node   *child
);

DESCRIPTION

This node tokenizes the input using shell-like lexing rules (handling quotes, escapes, etc.) and passes the resulting tokens to the child node.

RETURN VALUE

The node, or NULL on error (errno is set).

SEE ALSO

ec_node_sh_lex_expand(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.